
//***************************************************************************************//

function card_new1(){
    document.forms['form1'].elements['-act'].value='-new';
    document.forms['form1'].elements['-recno'].value='';
    document.forms['form1'].elements['-recid'].value='';
    document.form1.submit();
}

function card_edit1(){
    document.forms['form1'].elements['-act'].value='-edt';
    document.form1.submit();
}

function card_delete1(){
    blnRet = confirm("レコードを削除します。よろしいですか？")
    if(blnRet == false)
    {
        return false;
    }
    document.forms['form1'].elements['-act'].value='-del';
    document.form1.submit();
}

function card_dup1(){
    document.forms['form1'].elements['-act'].value='-dup';
    document.form1.submit();
}

function card_listview1(strPage){
    document.forms['form1'].elements['-act'].value='';
    document.forms['form1'].elements['-tok_fmt1'].value=strPage;
    document.form1.submit();
}

function list_new1(strPage){
    document.forms['form1'].elements['-act'].value='-new';
    document.forms['form1'].elements['-tok_fmt1'].value=strPage;
    document.forms['form1'].elements['-recno'].value='';
    document.forms['form1'].elements['-recid'].value='';
    document.form1.submit();
}


function list_find1(){
    document.forms['form1'].elements['-act'].value='';
    document.forms['form1'].elements['-recno'].value='';
    document.forms['form1'].elements['-recid'].value='';
    document.form1.submit();
}

function list_clear1(){
    document.forms['form1'].elements['-act'].value='';
    document.forms['form1'].elements['-recno'].value='';
    document.forms['form1'].elements['-recid'].value='';
    const elems = document.forms['form1'].querySelectorAll('input[type="text"], textarea');
    elems.forEach(el => el.value = '');
    document.form1.submit();
}

function list_page_move(obj1, strPageNo) {
    document.forms['form1'].elements['-act'].value='';
    document.forms['form1'].elements['-recno'].value='';
    document.forms['form1'].elements['-recid'].value='';
    obj1.value=strPageNo;
    document.forms['form1'].submit();
}

function list_cardview1(strRecID, strPage) {
    document.forms['form1'].elements['-act'].value='-fnd';
    document.forms['form1'].elements['-recno'].value='';
    document.forms['form1'].elements['-recid'].value=strRecID;
    document.forms['form1'].elements['-tok_fmt1'].value=strPage;
    document.forms['form1'].submit();
}

function list_delete1(strRecNo, strRecID) {
    blnRet = confirm("レコードを削除します。よろしいですか？")
    if(blnRet == false)
    {
        return false;
    }
    document.forms['form1'].elements['-act'].value='-del';
    document.forms['form1'].elements['-recno'].value=strRecNo;
    document.forms['form1'].elements['-recid'].value=strRecID;
    document.forms['form1'].submit();
}

